package co.yixiang.yshop.module.order.convert.rechargeorder;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import co.yixiang.yshop.module.order.api.rechargeorder.dto.RechargeOrderDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.order.controller.admin.rechargeorder.vo.*;
import co.yixiang.yshop.module.order.dal.dataobject.rechargeorder.RechargeOrderDO;

/**
 * 充值订单 Convert
 *
 * @author admin
 */
@Mapper
public interface RechargeOrderConvert {

    RechargeOrderConvert INSTANCE = Mappers.getMapper(RechargeOrderConvert.class);

    RechargeOrderDO convert(RechargeOrderCreateReqVO bean);

    RechargeOrderDO convert(RechargeOrderUpdateReqVO bean);

    RechargeOrderRespVO convert(RechargeOrderDO bean);

    RechargeOrderDTO convert02(RechargeOrderDO bean);

    List<RechargeOrderRespVO> convertList(List<RechargeOrderDO> list);

    PageResult<RechargeOrderRespVO> convertPage(PageResult<RechargeOrderDO> page);

    List<RechargeOrderExcelVO> convertList02(List<RechargeOrderDO> list);

}
